//genesis

// This model uses a simple bistable feedback loop to demonstrate
// propagation of turnon down a chain of segments through
// diffusion

include kkit9_feedback.g
rescale_vol 1e-18
reset

make_1d_diff_chain 1e-14 1e-6 10 1e-12

str name
int index
foreach name ({el /kinetics/chain/kinetics[]})
	index = {getfield {name} index}
	addmsg {name}[{index}]/Y_prd /moregraphs/conc3 PLOT Co *Y_prd{index} *red
	addmsg {name}[{index}]/X_prd /moregraphs/conc4 PLOT Co *X_prd{index} *blue
end
